var i=0;
var c=0;
var ii=3;
dkuan=getCookie('dkuan')
newDate=new Date()
newDate=""+newDate.getYear()+"-"+[newDate.getMonth()+1]+"-"+newDate.getDate()+""

//读取COOKIE

function getCookie (CookieName) { 
var CookieString = document.cookie; 
var CookieSet = CookieString.split (';'); 
var SetSize = CookieSet.length; 
var CookiePieces 
var ReturnValue = ""; 
var x = 0; 
for (x = 0; ((x < SetSize) && (ReturnValue == "")); x++) { 
CookiePieces = CookieSet[x].split ('='); 

if (CookiePieces[0].substring (0,1) == ' ') { 
CookiePieces[0] = CookiePieces[0].substring (1, CookiePieces[0].length); 
}

if (CookiePieces[0] == CookieName) {
ReturnValue = CookiePieces[1];
var value =ReturnValue
}


}
return value;
}


//跳出确认
function checkclick(msg){if(confirm(msg)){event.returnValue=true;}else{event.returnValue=false;}}


//显示帖子
function ShowPost(id,username,content,posttime,honor,userface,sex,birthday,experience,membercode,faction,consort,magicpower,power,money,mypet,postcount,posttopic,deltopic,regtime,degree,userlife,building,usermail,userhome,sign,myshow,landtime,lock,userxz,timesum,timesum1,timesum2,bgmusic)
{
document.write("<table class=a2 style=TABLE-LAYOUT:fixed cellPadding=5 width="+dkuan+" align=center border=0 cellSpacing=1>");
ii++
if(ii==5){ii=3}
document.write("<tr class=a"+ii+"><td width=190 align=center valign=top>");
document.write("<table border=0 width=90%><tr><td><font style=font-size:10pt color=#000000><b>"+username+"</b></font><br>"+honor+"</td><td align=right valign=top>");

//显示男女
if (""+sex+""!=''){
document.write("<img src=images/"+sex+".gif>")
}

//显示星座
document.write(astro(""+birthday+""));
document.write("</td></tr></table>");

//--------左边信息框 紫星雨修改!---------

document.write("<TABLE cellSpacing=0 cellPadding=0 width=177 align=center border=0 class=a"+ii+"><TBODY><TR class=a"+ii+"><td><TABLE height=3 cellSpacing=0 cellPadding=0 width=100% align=center border=0><tr><TD width=4></TD><TD id='bt1"+i+"1' style='CURSOR: hand' onclick='show1(1,"+i+")' align=middle width=38 background='images/showleft/t_bt_on.gif' height=23>形 像</TD><TD width=4></TD><TD id='bt1"+i+"2' style='CURSOR: hand' onclick='show1(2,"+i+")' align=middle background='images/showleft/t_bt_off.gif' width=38>档 案</TD><TD width=4></TD><TD id='bt1"+i+"3' style='CURSOR: hand' onclick='show1(3,"+i+")' align=middle background='images/showleft/t_bt_off.gif' width=38>展 示</TD><TD width=4></td><TD id='bt1"+i+"4' style='CURSOR: hand' onclick='show1(4,"+i+")' align=middle background='images/showleft/t_bt_off.gif' width=38>广 告</TD><TD width=4></td></tr></table></TD></TR>")

document.write("<tr class=a2><TD align=center width=50 colSpan=5 rowSpan=11>");

//---形 象---
document.write("<DIV id='d1"+i+"1'>");
if (myshow!=""){
document.write("<table width=177 class=tablebody2 border=0 align=center cellspacing=0 cellpadding=0><tr><td><img src=images/showleft/ibg1.gif></td><td align=center width=175 background=images/showleft/s2.gif></td><td><img src=images/showleft/ibg2.gif></td></tr><tr><td vAlign=middle background=images/showleft/s1.gif></td> <td vAlign=middle align=center width=175 id=fontsize22 bgcolor=ffffff>");

document.write("<table width=90% border=0><tr><td align=middle><DIV style='padding:0;position:relative;top:0;left:0;height:200px;overflow:hidden'><div id='bodyshow"+id+"' style='border:0px solid #000000;padding:0;POSITION: relative; Left: 0; TOP: -35; HEIGHT: 200px;  WIDTH: 140px;'></div></div></td></tr></table>")
showit(myshow,id);

document.write("</td><td vAlign=middle background=images/showleft/s3.gif></td></tr><tr><td vAlign=top><img src=images/showleft/ibg4.gif></td><td background=images/showleft/s4.gif align=left width=175></td><td align=right><img src=images/showleft/ibg3.gif></td></tr></table>");
}
else
{
if(onlinelist.indexOf("|"+username+"|") == -1 ){
if (getCookie('showface')!='0'){
document.write("<table width=177 class=tablebody2 border=0 align=center cellspacing=0 cellpadding=0><tr><td><img src=images/showleft/ibg1.gif></td><td align=center width=175 background=images/showleft/s2.gif></td><td><img src=images/showleft/ibg2.gif></td></tr><tr><td vAlign=middle background=images/showleft/s1.gif></td> <td vAlign=middle align=center width=175 id=fontsize22 bgcolor=ffffff>");

document.write("<table width=120 border=0 color=a3><tr><td align=middle vAlign=middle color=a3><img src='"+userface+"' alt='"+username+" 离线' style='filter: Gray;' onload='javascript:if(this.width>120)this.width=120;if(this.height>120)this.height=120;' align=center></td></tr></table>");

document.write("</td><td vAlign=middle background=images/showleft/s3.gif></td></tr><tr><td vAlign=top><img src=images/showleft/ibg4.gif></td><td background=images/showleft/s4.gif align=left width=175></td><td align=right><img src=images/showleft/ibg3.gif></td></tr></table>");
}
}
else{
document.write("<table width=177 class=tablebody2 border=0 align=center cellspacing=0 cellpadding=0><tr><td><img src=images/showleft/ibg1.gif></td><td align=center width=175 background=images/showleft/s2.gif></td><td><img src=images/showleft/ibg2.gif></td></tr><tr><td vAlign=middle background=images/showleft/s1.gif></td> <td vAlign=middle align=center width=175 id=fontsize22 bgcolor=ffffff>");

document.write("<table width=120 border=0 color=a3 ><tr><td align=middle vAlign=middle color=a3><img src='"+userface+"' alt='"+username+" 在线' onload='javascript:if(this.width>120)this.width=120;' align=center></td></tr></table>");

document.write("</td><td vAlign=middle background=images/showleft/s3.gif></td></tr><tr><td vAlign=top><img src=images/showleft/ibg4.gif></td><td background=images/showleft/s4.gif align=left width=175></td><td align=right><img src=images/showleft/ibg3.gif></td></tr></table>");
}
}
document.write("</center></DIV>");

//---档 案---
document.write("<DIV id='d1"+i+"2' style='DISPLAY: none'>");
document.write("<table width=177 class=tablebody2 border=0 align=center cellspacing=0 cellpadding=0><tr><td><img src=images/showleft/ibg1.gif></td><td align=center width=175 background=images/showleft/s2.gif></td><td><img src=images/showleft/ibg2.gif></td></tr><tr><td vAlign=middle background=images/showleft/s1.gif></td> <td vAlign=middle align=center width=175 id=fontsize22 bgcolor=ffffff>");

document.write("<TABLE style=TABLE-LAYOUT: fixed; WORD-BREAK:break-all height=200 cellSpacing=0 cellPadding=2 width=100% align=center border=0 valign=top><tr><td height=1 background='images/showleft/line.gif'></td></tr><TR><TD height=18><IMG src='images/showleft/q.gif'>金币: "+money+"枚</td></tr><tr><td height=1 background='images/showleft/line.gif'></td></tr>");

document.write("<TR><TD height=18><IMG src='images/showleft/q1.gif'>经验: "+experience+"</td></tr><tr><td height=1 background='images/showleft/line.gif'></td></tr><TR><TD height=18><IMG src='images/showleft/q.gif'>魅力: "+magicpower+"</td></tr><tr><td height=1 background='images/showleft/line.gif'></td></tr><TR><TD height=18><IMG src='images/showleft/q1.gif'>威望: "+power+"</td></tr><tr><td height=1 background='images/showleft/line.gif'></td></tr><TR><TD height=18><IMG src='images/showleft/q.gif'>总帖: "+postcount+" 篇</td></tr><tr><td height=1 background='images/showleft/line.gif'></td></tr><TR><TD height=18><IMG src='images/showleft/q1.gif'>发表: "+posttopic+" 篇</td></tr><tr><td height=1 background='images/showleft/line.gif'></td></tr><TR><TD height=18><IMG src='images/showleft/q.gif'>被删: "+deltopic+" 篇</td></tr><tr><td height=1 background='images/showleft/line.gif'></td></tr><TR><TD height=18><IMG src='images/showleft/q1.gif'>登录: "+degree+" 次</td></tr><tr><td height=1 background='images/showleft/line.gif'></td></tr><TR><TD height=18><IMG src='images/showleft/q.gif'>考勤: <font color=red>");

if (landtime==0) {document.write("全勤</font>");}
if (landtime==1) {document.write("昨天来过</font>");}
if (landtime==2) {document.write("前天来过</font>");}
if (landtime>=3) {document.write(" "+landtime+"</font>天前");}

document.write("</td></tr><tr><td height=1 background='images/showleft/line.gif'></td></tr><TR><TD height=18><IMG src='images/showleft/q1.gif'>注册："+regtime+"</td></tr><tr><td height=1 background='images/showleft/line.gif'></td></tr></table>");


document.write("</td><td vAlign=middle background=images/showleft/s3.gif></td></tr><tr><td vAlign=top><img src=images/showleft/ibg4.gif></td><td background=images/showleft/s4.gif align=left width=175></td><td align=right><img src=images/showleft/ibg3.gif></td></tr></table>");
document.write("</DIV>");

//---展 示---
document.write("<DIV id='d1"+i+"3' style='DISPLAY: none'>");
document.write("<table width=177 class=tablebody2 border=0 align=center cellspacing=0 cellpadding=0><tr><td><img src=images/showleft/ibg1.gif></td><td align=center width=175 background=images/showleft/s2.gif></td><td><img src=images/showleft/ibg2.gif></td></tr><tr><td vAlign=middle background=images/showleft/s1.gif></td> <td vAlign=middle align=center width=175 id=fontsize22 bgcolor=ffffff>");

{if (""+sex+"" =="male") {document.write("社区老婆: <font color=red>"+consort+"</font><img src=images/love.gif><br>");}
else
document.write("社区老公: <font color=red>"+consort+"</font><img src=images/love.gif><br>");}

if (""+mypet+"" !="") {document.write("<hr width=100% color=777777 size=1><font color=red><img src=images/baobao.gif alt='宝宝:来啊,PK,PK'><b>"+mypet+"</b></font><br>");}else{
document.write("<a href=petcenter.asp><font color=#FF0000 style=behavior:url(inc/font.htc);>快努力赚钱买宝宝吧</font></a><br>");
}

if (""+building+"" !="") {document.write("<hr width=100% color=777777 size=1>&nbsp;&nbsp;<a><img src=images/plus/bbsmyhome.gif alt=体力:"+userlife+" border=0>"+building+"</a><br><br>");
}else{
document.write("<hr width=100% color=777777 size=1>&nbsp;&nbsp;<a href=building.asp target=_blank><img src=images/plus/bbshome.gif alt=体力:"+userlife+" border=0></a><br><br>");
}

if (userxz!=''){
document.write("<hr width=100% color=777777 size=1>&nbsp;&nbsp;"+userxz+"");
}

document.write("</td><td vAlign=middle background=images/showleft/s3.gif></td></tr><tr><td vAlign=top><img src=images/showleft/ibg4.gif></td><td background=images/showleft/s4.gif align=left width=175></td><td align=right><img src=images/showleft/ibg3.gif></td></tr></table>");
document.write("</DIV>");

//---广 告---
document.write("<DIV id='d1"+i+"4' style='DISPLAY: none'>");
document.write("<table width=177 class=tablebody2 border=0 align=center cellspacing=0 cellpadding=0><tr><td><img src=images/showleft/ibg1.gif></td><td align=center width=175 background=images/showleft/s2.gif></td><td><img src=images/showleft/ibg2.gif></td></tr><tr><td vAlign=middle background=images/showleft/s1.gif></td> <td vAlign=middle align=center width=175 id=fontsize22 bgcolor=ffffff>");

document.write("<table width=90% border=0><tr><td height=1 background='images/showleft/line1.gif'></td></tr><TR><TD height=18><IMG src='images/showleft/q.gif'>本站推出服务新承诺</td></tr><tr><td height=1 background='jimages/showleft/line1.gif'></td></tr><TR><TD height=18><IMG src='images/showleft/q1.gif'>爱洛依斯网络社区2006版</td></tr><tr><td height=1 background='images/showleft/line1.gif'></td></tr><TR><TD height=18><IMG src='images/showleft/q.gif'>测试版免费下载中</td></tr><tr><td height=1 background='images/showleft/line1.gif'></td></tr><TR><TD height=18><IMG src='images/showleft/q1.gif'>收费全插件版50元/套</td></tr><tr><td height=1 background='images/showleft/line1.gif'></td></tr><TR><TD height=18><IMG src='images/showleft/q.gif'>欢迎大家购买，联系方式：</td></tr><tr><td height=1 background='images/showleft/line1.gif'></td></tr><TR><TD height=18><IMG src='images/showleft/q1.gif'>具体查看:http://</td></tr><tr><td height=1 background='images/showleft/line1.gif'></td></tr><TR><TD height=18><IMG src='images/showleft/q.gif'>sina.gggppp.com/bbs</td></tr><tr><td height=1 background='images/showleft/line1.gif'></td></tr><TR></table>")

document.write("</td><td vAlign=middle background=images/showleft/s3.gif></td></tr><tr><td vAlign=top><img src=images/showleft/ibg4.gif></td><td background=images/showleft/s4.gif align=left width=175></td><td align=right><img src=images/showleft/ibg3.gif></td></tr></table>");
document.write("</DIV>");

document.write("</TD></TR></TBODY></TABLE>");
//--------左边信息框end-----------


document.write("<p><table width='85%' border=0 align=center cellpadding=0 cellspacing=0 height=100 ><tr><td> "+level(experience,membercode,username,moderated)+levelimage+"<br><img src=images/showleft/q1.gif>等级：<font color=#000080 ><b>"+levelname+"</b></font><br>");
document.write ("<img src=images/showleft/q.gif>挂机：");
for(c=0;c<parseInt(timesum/16);c++){
document.write ("<img src=images/qq/sun.gif align=absmiddle alt='在线等级:"+timesum+"级<br>在线时间:"+timesum1+"小时<br>升级剩余时间:"+timesum2+"小时'> ")}
for(c=0;c<parseInt((timesum%16)/4);c++){
document.write (" <img src=images/qq/moon.gif align=absmiddle alt='在线等级:"+timesum+"级<br>在线时间:"+timesum1+"小时<br>升级剩余时间:"+timesum2+"小时'> ")}
for(c=0;c<(timesum%16)%4;c++){
document.write ("<img src=images/qq/star.gif align=absmiddle alt='在线等级:"+timesum+"级<br>在线时间:"+timesum1+"小时<br>升级剩余时间:"+timesum2+"小时'> ")}
document.write("<br><tr><td>");
document.write("<img src=images/showleft/q1.gif>体力：<img border=0 src=images/bar/0.gif width="+userlife/2+" height=9 alt="+userlife+"><br>");
if(onlinelist.indexOf("|"+username+"|") == -1 ){
document.write("<img src=images/showleft/q.gif>状态：<img border=0 src=images/offline.gif alt='离线'><br>");
}else{
document.write("<img src=images/showleft/q.gif>状态：<a style=cursor:hand onclick=\"javascript:open('friend.asp?menu=post&incept="+username+"','','width=320,height=170')\"><img border=0 src=images/online.gif alt='在线,点击发送聊天信息给["+username+"]!'></a>");
}
document.write("<p><a href='shop.asp?menu=flowers&vs="+username+"'><img alt='送"+username+"鲜花' src=images/flowers.gif border=0>鲜花</a> <a href='shop.asp?menu=egg&vs="+username+"'><img alt='扔"+username+"鸡蛋' src=images/eggs.gif border=0>鸡蛋</a></p>");
//-----left end-----

document.write("</td></tr></table></td><td height=100%>");

document.write("<table cellSpacing=0 cellPadding=0 width=100% border=0 height=100%><tr><td colspan=3 width=80%><a href='Profile.asp?username="+username+"' title='查看"+username+"的个人资料'>信息</a> <a onclick=\"javascript:open('friend.asp?menu=post&incept="+username+"','','width=320,height=170')\" title='发送短讯息给"+username+"'>短信</a> <a href='friend.asp?menu=add&username="+username+"' title='把"+username+"加入好友'>好友</a> <a href='search.asp?menu=ok&search=author&searchxm=username&content="+username+"' title='查看"+username+"的文集'>文集</a> <a href=mailto:"+usermail+" title='发送电邮给"+username+"'>邮箱</a> ");

if (userhome!="" && userhome!="http://"){
document.write("<a target=_blank href="+userhome+" title=访问"+userhome+"的主页>主页</a>");
}
i=i+1
if (i<2){
document.write(" <a href=javascript:copyText(document.all.yu"+id+") title=复制这个帖子>复制</a> <a href='retopic.asp?id="+topicid+"&retopicid="+id+"&quote=1&topic="+topic+"' title=引用回复这个帖子>引用</a> <a href='retopic.asp?id="+topicid+"&topic="+topic+"' title=回复这个帖子>回复</a></td><td align=right><font color=red><b>楼主</b></font>&nbsp;</td></tr><tr vAlign=top><td colSpan=4><hr width=100% color=#D7D7D7 SIZE=1></td></tr>");}
else{
document.write(" <a href=javascript:copyText(document.all.yu"+id+") title=复制这个帖子>复制</a> <a href='retopic.asp?id="+topicid+"&retopicid="+id+"&quote=1&topic="+topic+"' title=引用回复这个帖子>引用</a> <a href='retopic.asp?id="+topicid+"&topic="+topic+"' title=回复这个帖子>回复</a></td><td align=right>第<font color=red><b>"+i+"</b></font>楼&nbsp;</td></tr><tr vAlign=top><td colSpan=4><hr width=100% color=#D7D7D7 SIZE=1>");}

document.write("<tr vAlign=top><td colSpan=4 height=100% style=word-break:break-all>");



if(badlist.indexOf(username) == -1 ){

if (lock==1){
document.write("<span id=yu"+id+">================================<br><font color=red>该用户发言已被管理员屏蔽　　</font><br>================================</span>")
}
else{
document.write("<font face=Wingdings size=3 color=#000000>@</font><b><font color=#000000>主题: "+topic+"</b></font><br><br>");
document.write("<table width=100% border=0 cellspacing=0 cellpadding=0 style=TABLE-LAYOUT:fixed align=center><tr><td style=width:100%>");
document.write(ybbcode("<span id=yu"+id+">"+content+"</span>"));
document.write("</td></tr></table>")
}

document.write("<font color=#ff0066>"+username+"说道.");
}else{
document.write("<span id=yu"+id+">==============================<br>　　　<font color=RED>由于该用户违反论坛规定<br><br>　　　所有帖子已被管理员过滤　　　</font><br>==============================</span>")
}

document.write("</td></tr><tr vAlign=top><td colSpan=4 align=right>")
if(getCookie('sign')!='0' && sign!=""){document.write("<img src=images/signature.gif border=0><br><div style='OVERFLOW:auto' id=div"+id+">"+ybbcode(sign)+"</div>");}

//背景音乐
if (""+bgmusic+"" !="") {
document.write("<bgsound src="+ybbcode(bgmusic)+" loop=-1></a>");
}

document.write("</td></tr><tr vAlign=top><td colSpan=4><hr width=100% color=#D7D7D7 SIZE=1></td></tr><tr vAlign=top><td width=30%><a href='EditTopic.asp?id="+topicid+"&retopicid="+id+"&topic="+topic+"' title='编辑该贴'>编辑</a> <a href=manage.asp?menu=deltopic&id="+topicid+"&retopicid="+id+" title='删除该贴'>删除</a> ");
document.write("<a onMouseOver=\"showmenu(event,'<div class=menuitems><a href=manage_post.asp?id="+topicid+"&retopicid="+id+"&topic="+topic+">奖罚管理</a></div><div class=menuitems>");
if (lock == 0) 
document.write("<a href=manage.asp?menu=lockpage&id="+topicid+"&retopicid="+id+">单帖锁定</a>");
if (lock == 1) 
document.write("<a href=manage.asp?menu=unlockpage&id="+topicid+"&retopicid="+id+">解除锁定</a>");
document.write("</div>')\" style=cursor:hand>帖子管理</a>");
document.write("</td><td align=left valign=bottom> 发表时间："+posttime+"　</td><td align=right valign=bottom> IP：<a href=manage.asp?menu=lookip&id="+topicid+"&retopicid="+id+">已记录</a>&nbsp;&nbsp;<a href=# title='返回页面顶部'>返回页顶</a></td></tr></table></td></tr></table>");
}

//帖间个人信息美化
function ShowSpeakInfo(id){
if(!id){id = 0;}
return aSpeak[id]+'：';
}

function show1(num,sss) {
	for (ii=1;ii<=4;ii++) 
	{
	eval("d1"+sss+ii).style.display="none";
	eval("bt1"+sss+ii).style.background = "url('images/showleft/t_bt_off.gif')";
	}
	eval("d1"+sss+num).style.display="";
	eval("bt1"+sss+num).style.background = "url('images/showleft/t_bt_on.gif')";
}


//帖子列表
function ShowForum(ID,topic,newtopic,username,Views,icon,toptopic,locktopic,pollresult,goodtopic,replies,lastname,lasttime,market,forumid,colors)
{
topic = topic.replace(key_word,"<font color=red>"+key_word+"<\/font>");
if (toptopic == 2) {reimage="<img src=images/top.gif border=0>"}
else
if (toptopic == 1) {reimage="<img src=images/f_top.gif border=0>"}
else
if (locktopic== 1) {reimage="<img src=images/f_locked.gif border=0>"}
else
if (pollresult!= '') {reimage="<img src=images/f_poll.gif border=0>"}
else
if ((replies>15) || (Views>150)) {reimage="<img src=images/f_hot.gif border=0>"}
else
if (replies>0) {reimage="<img src=images/f_new.gif border=0>"}
else{reimage="<img src=images/f_norm.gif border=0>"}

if (goodtopic== 1) {reimage2="<img src=images/topicgood.gif>"}
else
if (username == cookieusername) {reimage2="<img src=images/my.gif>"}
else{reimage2=""}

if (replies>0) {reimage3=replies}
else{reimage3="-"}

document.write("<tr height=25><td align=middle width=3% class=a4>"+reimage+"</td>")
document.write("<td width=3% class=a3 align=center>"+reimage2+"</td>")

if (toptopic == 2){

document.write("<td class=a4 width=45% onmouseout=\"this.className='a4'\" onmouseover=\"this.className='a3'\"> <img src=images/plus.gif> <a href=ShowPost.asp?id="+ID+" title='主题作者:"+username+"<br>更新时间:"+lasttime+"<br>回帖作者:"+lastname+"'>"+topic+"</a>")
}else if (toptopic == 1){
document.write("<td class=a4 width=45% onmouseout=\"this.className='a4'\" onmouseover=\"this.className='a3'\"> <img src=images/plus.gif> <a href=ShowPost.asp?id="+ID+" title='主题作者:"+username+"<br>更新时间:"+lasttime+"<br>回帖作者:"+lastname+"'>"+topic+"</a>")
}else{
document.write("<td class=a4 width=45% onmouseout=\"this.className='a4'\" onmouseover=\"this.className='a3'\"> <img loaded=no src=images/plus.gif id=followImg"+ID+" style=cursor:hand onclick=loadThreadFollow("+ID+")> <a href=ShowPost.asp?id="+ID+" title='主题作者:"+username+"<br>更新时间:"+lasttime+"<br>回帖作者:"+lastname+"'>"+topic+"</a>")
}

if (replies > 15) {
var topicpage=""
var tol=replies/15+1;

for (var i=1; i < tol; i++) {
if(i<4 || i>=tol-2){
topicpage=topicpage+"<b><a href=ShowPost.asp?id="+ID+"&topage="+ i +">"+ i +"</a></b> ";
}
if (i >= tol-3  && i<tol-2 && i>3){topicpage=topicpage+" ... ";}
}
document.write(" ( <img src=images/multipage.gif> "+topicpage+")");
}

if (market== 2) {document.write("　<font color=ff0000>"+"上市过期"+"</font>");
}
else
if (market== 1) {document.write("　<font color=ff0000>"+"已经上市"+"</font>");
}
else
if (replies>9) {document.write("　<a href='market.asp?menue=onmarket&id="+ID+"&forumid="+forumid+"'> <font color=ff0000> "+"文章上市"+"</font></a>");
}
document.write(" "+newtopic+"</td><td align=middle width=9% class=a3><a href=Profile.asp?username="+username+">"+username+"</a></td><td align=middle width=6% class=a4>"+reimage3+"</td><td align=middle width=7% class=a3>"+Views+"</td><td width=27% class=a4>&nbsp;"+lasttime+" by <a href=Profile.asp?username="+lastname+">"+lastname+"</a></td></tr>");
document.write("<tr height=25 style=display:none id=follow"+ID+"><td width=3% class=a4>　</td><td width=3% class=a3>　</td><td id=followTd"+ID+" align=left class=a4 width=94% colspan=5>　Loading...</td></tr>");
}


//论坛列表
function ShowList(pass,id,bbsname,icon,intro,moderated,today,toltopic,tolrestore,lasttime,lastname,lasttopic,password)
{
if(pass >2){password=1}

document.write("<tr><td width=5% align=middle class=a3>")

if(password==1){
document.write("<img src=images/skins/"+getCookie('skins')+"/Board3.gif>")
}else{
document.write("<img src=images/skins/"+getCookie('skins')+"/Board"+pass+".gif>")
}

document.write("</td><td class=a4>")

document.write("<table border=0 width=100% cellspacing=0 cellpadding=3><tr><td valign=top>『 <a href=ShowForum.asp?forumid="+id+">"+bbsname+"</a> 』<a href=newtopic.asp?forumid="+id+" title=在该论坛发贴> 发贴</a> <a href=ShowForum.asp?forumid="+id+"&search=goodtopic title=查看该论坛的精品文件> 精品</a> <a href=ShowForum.asp?forumid="+id+"&TimeLimit=1 title=查看当天贴子> 新贴</a>")
if (""+pass+""=='2')document.write("<font color=gray title=需要登陆才可浏览 style=cursor:default></font> ")
if (""+pass+""=='5')document.write("<font color=gray title=需要VIP才可浏览 style=cursor:default>VIP论坛</font> ")
if (""+pass+""=='6')document.write("<font color=gray title=版主才可浏览 style=cursor:default></font> ")
if (""+pass+""=='7')document.write("<font color=gray title=超级才可浏览 style=cursor:default></font> ")
document.write("</td></td><td rowspan=2 align=right>")


if (icon!=''){
document.write("<img src="+icon+" onload='javascript:if(this.width>100)this.width=100;if(this.height>60)this.height=60;'>")
}

document.write("</td>")

if(password==1){
document.write("<td rowspan=2 width=30%>主题:"+lasttopic+"<br>作者:<a href=Profile.asp?username="+lastname+">"+lastname+"</a><br>时间:"+lasttime+"")
}else{
document.write("<td rowspan=2 width=30%>主题:"+lasttopic+"<br>作者:<a href=Profile.asp?username="+lastname+">"+lastname+"</a><br>时间:"+lasttime+"")
}
document.write("</td></tr><tr><td>"+intro+"</td></tr><tr class=a3><td> 版主：")

var list= moderated.split ('|'); 
for(i=0;i<list.length;i++) {
if (list[i] !=''){
document.write("<a href=profile.asp?username="+list[i]+">"+list[i]+"</a> ")
}else{
document.write("<a href=bzsq-sq.asp?><font color=#000000><b>申请版主</b></font> ")
}
}

document.write("</td><td></td><td><table border=0 width=100% cellspacing=0><tr><td width=33%><img src=images/Forum_today.gif>:<font color=red>"+today+"</font></td><td width=33%><img src=images/forum_topic.gif>:"+toltopic+"</td><td width=33%><img src=images/forum_post.gif>:"+tolrestore+"</td></tr></table></td></tr></table></td></tr>")
i=0;
}


function SmallShowList(id,bbsname,intro,moderated,today,toltopic,tolrestore)
{
intro = intro.replace(/<br>/ig,"\n");

i++;
if (i==1){document.write("<tr>")}

document.write("<td><table border=0 width=100% cellspacing=0 cellpadding=4><tr class=a4><td colspan=3 title='"+intro+"'>『 <a href=ShowForum.asp?forumid="+id+">"+bbsname+"</a> 』</td></tr><tr class=a4><td>今日:<font color=red>"+today+"</font></td><td>主题:"+toltopic+"</td><td>帖子:"+tolrestore+"</td></tr><tr class=a3><td colspan=3>版主：")

var list= moderated.split ('|'); 
if (list.length!=0){document.write("<a href=profile.asp?username="+list[0]+">"+list[0]+"</a>")}
if (list.length>1){document.write(" <font color=gray>...</font>")}

document.write("</td></tr></table></td>")

if (i==3){i=0;document.write("</tr>")}

}


function makeupShowList()
{
if (i!=0){
for(jj=i;jj<3;jj++){document.write("<td class=a3></td>")}
i=0
}
}
//跳转页面显示
function ShowPage(TotalPage,topage,url){
if (topage<6){PageLong=11-topage;}
else
if (TotalPage-topage<6){PageLong=10-(TotalPage-topage)}
else{PageLong=5;}

for (var i=1; i <= TotalPage; i++) {
if (i < topage+PageLong && i > topage-PageLong || i==1 || i==TotalPage){
if (topage==i){document.write(" "+ i +" ");}else{document.write(" <a href=?topage="+i+"&"+url+">"+ i +"</a> ");}
}
}

}

//菜单
var menuOffX=0	//菜单距连接文字最左端距离
var menuOffY=20	//菜单距连接文字顶端距离

var ie4=document.all&&navigator.userAgent.indexOf("Opera")==-1
var ns6=document.getElementById&&!document.all
function showmenu(e,vmenu,mod){
	which=vmenu
	menuobj=document.getElementById("popmenu")
	menuobj.thestyle=menuobj.style
	menuobj.innerHTML=which
	menuobj.contentwidth=menuobj.offsetWidth
	eventX=e.clientX
	eventY=e.clientY
	var rightedge=document.body.clientWidth-eventX
	var bottomedge=document.body.clientHeight-eventY

		if (rightedge<menuobj.contentwidth)
			menuobj.thestyle.left=document.body.scrollLeft+eventX-menuobj.contentwidth+menuOffX
		else
			menuobj.thestyle.left=ie4? ie_x(event.srcElement)+menuOffX : ns6? window.pageXOffset+eventX : eventX
		
		if (bottomedge<menuobj.contentheight&&mod!=0)
			menuobj.thestyle.top=document.body.scrollTop+eventY-menuobj.contentheight-event.offsetY+menuOffY-23
		else
			menuobj.thestyle.top=ie4? ie_y(event.srcElement)+menuOffY : ns6? window.pageYOffset+eventY+10 : eventY

	menuobj.thestyle.visibility="visible"
}


function ie_y(e){  
	var t=e.offsetTop;  
	while(e=e.offsetParent){  
		t+=e.offsetTop;  
	}  
	return t;  
}  
function ie_x(e){  
	var l=e.offsetLeft;  
	while(e=e.offsetParent){  
		l+=e.offsetLeft;  
	}  
	return l;  
}

function highlightmenu(e,state){
	if (document.all)
		source_el=event.srcElement
		while(source_el.id!="popmenu"){
			source_el=document.getElementById? source_el.parentNode : source_el.parentElement
			if (source_el.className=="menuitems"){
				source_el.id=(state=="on")? "mouseoverstyle" : ""
		}
	}
}


function hidemenu(){if (window.menuobj)menuobj.thestyle.visibility="hidden"}
function dynamichide(e){if ((ie4||ns6)&&!menuobj.contains(e.toElement))hidemenu()}
document.onclick=hidemenu
document.write("<div class=menuskin id=popmenu onmouseover=highlightmenu(event,'on') onmouseout=highlightmenu(event,'off');dynamichide(event)></div>")
// 菜单END

// add area script
function focusEdit(editBox)
{
 if ( editBox.value == editBox.helptext )
 {
 editBox.value = '';
 editBox.className = 'editbox';
 }
 return true;
}
function blurEdit(editBox)
{
 if ( editBox.value.length == 0 )
 {
 editBox.className = 'editbox Graytitle';
 editBox.value = editBox.helptext;
 }
}
function ValidateTextboxAdd(box, button)
{
 var buttonCtrl = document.getElementById( button );
 if ( buttonCtrl != null )
 {
 if (box.value == "" || box.value == box.helptext)
 {
 buttonCtrl.disabled = true;
 }
 else
 {
 buttonCtrl.disabled = false;
 }
 }
}
// add area script end

function loadtree(ino,bbsname){
document.frames["hiddenframe"].location.replace("ForumTree.asp?id="+ino+"")
}


function loadThreadFollow(ino,online){
var targetImg =eval("followImg" + ino);
var targetDiv =eval("follow" + ino);
if (targetDiv.style.display!='block'){
targetDiv.style.display="block";
targetImg.src="images/minus.gif";
if(targetImg.loaded=="no"){document.frames["hiddenframe"].location.replace("loading.asp?id="+ino+"&forumid="+online+"");}
}else{
targetDiv.style.display="none";
targetImg.src="images/plus.gif";
}
}

function showit(usershow,id)
{
	showlayers=usershow.split('>');
	str="";
	for(xx=0;xx<showlayers.length;xx++)
	{
		if(showlayers[xx]!='0' && showlayers[xx]!='')
		{
			str+="<img src=http://qqshow-item.tencent.com/"+showlayers[xx]+"/"+xx+"/00/' style='padding:0;position:absolute;top:0;left:0;width:140;height:226;z-index:"+(xx+1)+";'>";
		}
	}
	str+="<img src='http://game.qq.com/images/base/blank.gif' style='padding:0;position:absolute;top:0;left:0;width:140;height:226;z-index:100;'>";
	eval("bodyshow"+id).innerHTML=str; 

}

document.write("<iframe height=0 width=0 name=hiddenframe></iframe>")
